#! /bin/sh

# Definitionen
##D="-D __DEBUG -D __LANG_EN"
##D="-D __LANG_EN"
D="-D __LANG_DE"

# Pfade
bin="../Bin"
##bin="/home/ftp/hive"
sdtbox="${bin}/sdcard/tbox-1"
sdsys="${bin}/sdcard/system"
libpath="../TriOS/lib"
BSTC="bstc"

# ----------------------------------------------------------------
# Alte Versionen löschen

rm -rf ${sdtbox}
rm -f ${sdsys}/matrix.bel
mkdir -p ${sdtbox}
mkdir -p ${sdsys}

# ----------------------------------------------------------------
# Bin-Dateien erzeugen

for FILE in source/bellatrix/*.spin ; do 
    ${BSTC} -L ${libpath} ${D} -D __VGA -D __VGA_MONSET1 -b -O a ${FILE}
    BASE="`basename ${FILE} .spin`"
    mv "${BASE}.binary" "${sdtbox}/${BASE}.bel"
done
cp "${sdtbox}/12-matr.bel" "${sdsys}/matrix.bel"

for FILE in source/regnatix/*.spin ; do 
    ${BSTC} -L ${libpath} ${D} -b -O a ${FILE}
    BASE="`basename ${FILE} .spin`"
    mv "${BASE}.binary" "${sdtbox}/${BASE}.bin"
done
